import React from 'react';
import { useRouter } from 'next/router';
import { withProtected } from '../src/context/hooks/route';
import firebase from 'firebase/app';
import 'firebase/auth';
import styles from '../styles/Admin.module.css';
import Head from 'next/head';

function Admin({ auth, pathname }: any) {
  const { setUser } = auth;
  const router = useRouter();

  return (
    <>
      <Head>
        <title>Admin | ADapp</title>
      </Head>
      <div className={styles.container}>
        <button
          onClick={async () => {
            await firebase.auth().signOut();
            setUser('');
            router.push('/');
          }}
        >
          Logout
        </button>
      </div>
    </>
  );
}

export default withProtected(Admin);
