import Head from "next/head";
import { useRouter } from "next/router";
import React, { useRef } from 'react';
import firebase from 'firebase/app';
import 'firebase/auth';
import styles from '../styles/Login.module.css';
import { message } from 'antd';
import { withPublic } from '../src/context/hooks/route';

function Login({ auth, pathname }: any) {
  const email: any = useRef();
  const password: any = useRef();

  const { setUser } = auth;
  const router = useRouter();

  const handleLogin = async (e: any) => {
    e.preventDefault();
    try {
      const userCred = await firebase
        .auth()
        .signInWithEmailAndPassword(email.current.value, password.current.value);
      setUser(userCred.user);
      router.push('/admin');
    } catch(err: any) {
      {message.error({
        key: 'login',
        content: err.message || 'Something went wrong !'
      })};
    }
  };

  return (
    <>
      <Head>
        <title>Login | ADapp</title>
      </Head>
      <div className={styles.loginpage}>
        <div className={styles.form}>
          <form className={styles.loginform} onSubmit={handleLogin}>
            <input type="email" placeholder="email address" ref={email}/>
            <input type="password" placeholder="password" ref={password}/>
            <button>Login</button>
          </form>
        </div>
      </div>
    </>
  );
}

export default withPublic(Login);
