import { useRouter } from 'next/router';
import React, { useEffect } from 'react';
import useAuth from './auth';

export function withPublic(Component: any) {
  return function WithPublic(props: any) {
    const auth: any = useAuth();
    const router = useRouter();
    const pathname = router.pathname;

    useEffect(() => {
      if(auth.user) {
        router.push('/admin');
      }
    });

    if(auth.user) {
      return <h1 className="ant-message">Loading...</h1>;
    } else {
      return <Component auth={auth} pathname={pathname} {...props} />;
    }
  };
}

export function withProtected(Component: any) {
  return function WithProtected(props: any) {
    const auth: any = useAuth();
    const router = useRouter();
    const pathname = router.pathname;

    useEffect(() => {
      if (!auth.user) {
        router.push('/login');
      }
    });

    if(!auth.user) {
      return <h1 className="ant-message">Loading...</h1>;
    } else {
      return <Component auth={auth} pathname={pathname} {...props} />;
    }
  };
}
